package com.cheng.blzb.bean

import java.io.Serializable

data class HotWordEntity(
    val id: Int,
    val name: String,
    val children: List<Child> = emptyList(),
    var icon: Int = 0,
    var isChecked: Boolean = false,
    var anim: Boolean = true
): Serializable {
    data class Child(
        val amount: String = "0",
        val children: List<Child> = emptyList(),
        val id: Int = 0,
        val name: String = "",
        val pid: Int = 0,
        val status: String = "",
        val type: String = "",
        val weight: String = "",
        var isChecked: Boolean = false
    ): Serializable
}